Author: kwright
Date: Wed Nov 13 12:33:49 2013
New Revision: 1541496

URL: http://svn.apache.org/r1541496
Log:
Add zookeeper source folders and scripts for the zookeeper example

Added:
    manifoldcf/branches/CONNECTORS-13/framework/example-multiprocess-zk/
    manifoldcf/branches/CONNECTORS-13/framework/example-multiprocess-zk-common/
    
manifoldcf/branches/CONNECTORS-13/framework/example-multiprocess-zk-common/setglobalproperties.bat
   (with props)
    
manifoldcf/branches/CONNECTORS-13/framework/example-multiprocess-zk-common/setglobalproperties.sh
   (with props)
    
manifoldcf/branches/CONNECTORS-13/framework/example-multiprocess-zk-proprietary/

Added: 
manifoldcf/branches/CONNECTORS-13/framework/example-multiprocess-zk-common/setglobalproperties.bat
URL: 
http://svn.apache.org/viewvc/manifoldcf/branches/CONNECTORS-13/framework/example-multiprocess-zk-common/setglobalproperties.bat?rev=1541496&view=auto
==============================================================================
--- 
manifoldcf/branches/CONNECTORS-13/framework/example-multiprocess-zk-common/setglobalproperties.bat
 (added)
+++ 
manifoldcf/branches/CONNECTORS-13/framework/example-multiprocess-zk-common/setglobalproperties.bat
 Wed Nov 13 12:33:49 2013
@@ -0,0 +1,31 @@
+@echo off
+rem Licensed to the Apache Software Foundation (ASF) under one or more
+rem contributor license agreements.  See the NOTICE file distributed with
+rem this work for additional information regarding copyright ownership.
+rem The ASF licenses this file to You under the Apache License, Version 2.0
+rem (the "License"); you may not use this file except in compliance with
+rem the License.  You may obtain a copy of the License at
+rem
+rem     http://www.apache.org/licenses/LICENSE-2.0
+rem
+rem Unless required by applicable law or agreed to in writing, software
+rem distributed under the License is distributed on an "AS IS" BASIS,
+rem WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+rem See the License for the specific language governing permissions and
+rem limitations under the License.
+
+rem check that JAVA_HOME is set, and that the current directory is correct
+if not exist "%JAVA_HOME%\bin\java.exe" goto nojavahome
+if not exist ".\properties.xml" goto nolcfhome
+rem set MCF_HOME
+set MCF_HOME=%CD%
+rem invoke the RegisterAll command
+cmd /c "processes\executecommand.bat 
org.apache.manifoldcf.core.lockmanager.ZooKeeperLockManager %1"
+goto done
+:nojavahome
+echo Environment variable JAVA_HOME is not set properly.
+goto done
+:nolcfhome
+echo Current working directory does not contain a properties.xml file.
+goto done
+:done

Propchange: 
manifoldcf/branches/CONNECTORS-13/framework/example-multiprocess-zk-common/setglobalproperties.bat
------------------------------------------------------------------------------
    svn:eol-style = CRLF

Added: 
manifoldcf/branches/CONNECTORS-13/framework/example-multiprocess-zk-common/setglobalproperties.sh
URL: 
http://svn.apache.org/viewvc/manifoldcf/branches/CONNECTORS-13/framework/example-multiprocess-zk-common/setglobalproperties.sh?rev=1541496&view=auto
==============================================================================
--- 
manifoldcf/branches/CONNECTORS-13/framework/example-multiprocess-zk-common/setglobalproperties.sh
 (added)
+++ 
manifoldcf/branches/CONNECTORS-13/framework/example-multiprocess-zk-common/setglobalproperties.sh
 Wed Nov 13 12:33:49 2013
@@ -0,0 +1,34 @@
+#!/bin/bash -e
+
+# Licensed to the Apache Software Foundation (ASF) under one or more
+# contributor license agreements.  See the NOTICE file distributed with
+# this work for additional information regarding copyright ownership.
+# The ASF licenses this file to You under the Apache License, Version 2.0
+# (the "License"); you may not use this file except in compliance with
+# the License.  You may obtain a copy of the License at
+#
+#     http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+#Make sure environment variables are properly set
+if [ -e "$JAVA_HOME"/bin/java ] ; then
+    if [ -f ./properties.xml ] ; then
+        # Set the MCF_HOME variable
+        export MCF_HOME=$PWD
+        processes/executecommand.sh 
org.apache.manifoldcf.core.lockmanager.ZooKeeperLockManager $1
+        exit $?
+        
+    else
+        echo "Working directory contains no properties.xml file." 1>&2
+        exit 1
+    fi
+    
+else
+    echo "Environment variable JAVA_HOME is not properly set." 1>&2
+    exit 1
+fi

Propchange: 
manifoldcf/branches/CONNECTORS-13/framework/example-multiprocess-zk-common/setglobalproperties.sh
------------------------------------------------------------------------------
    svn:eol-style = LF

Propchange: 
manifoldcf/branches/CONNECTORS-13/framework/example-multiprocess-zk-common/setglobalproperties.sh
------------------------------------------------------------------------------
    svn:executable = *


Reply via email to